Name:		nted
Version:	1.10.13
Release:	%mkrel 1
Summary:	A new musical score editor for Linux
License:	GPLv2+
URL:		http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/sources/%{name}-%{version}.tar.gz
Patch0:		nted-1.10.13-fix-desktop.patch
Patch1:		nted-1.10.13-fix-str-fmt.patch
BuildRequires:	gtk+2-devel
BuildRequires:	libalsa-devel
BuildRequires:	yelp kdesdk4-po2xml xmlto
BuildRequires:	gettext-devel

%description
NtEd is a new musical score editor for GNU/Linux.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .strfmt

%build
%configure2_5x 
%make

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %name

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT_THE_EXAMPLES.TXT AUTHORS FAQ
%{_bindir}/*
%{_datadir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/nted.png


%changelog
* Sun Aug 15 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.13-1mdv2011.0
+ Revision: 569826
- new version
- rediff patches

* Sun Jul 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.12-1mdv2011.0
+ Revision: 551158
- rediff p0 ad p1
- fix %%description (GNU/Linux is not only "Linux"!!!)
- update to 1.10.12

* Sun Apr 25 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.1-1mdv2010.1
+ Revision: 538539
- really rediff patch
- rediff all patches
- update to 1.10.1

* Wed Apr 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.22-2mdv2010.1
+ Revision: 532818
- %mkrel 2, fix #58610

* Mon Apr 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.22-1mdv2010.1
+ Revision: 531563
- update to 1.9.22 && rediff patch0 and patch1

* Wed Mar 31 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.21-1mdv2010.1
+ Revision: 530515
- update to new version 1.9.21
- rediff two patch
- remove %%post and %%postun
- fix mixed-use-of-spaces-and-tabs in spec

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.9.18-1mdv2010.1
+ Revision: 499975
- New version 1.9.18

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 1.9.16-1mdv2010.1
+ Revision: 493773
- Update to new version 1.9.16
- Rediff string format patch

* Sat Dec 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.13-1mdv2010.1
+ Revision: 480222
- Update to new version 1.9.13

* Fri Dec 11 2009 Jérôme Brenier <incubusss@mandriva.org> 1.9.10-1mdv2010.1
+ Revision: 476222
- new version 1.9.10
- redo the str fmt patch

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.1-1mdv2010.0
+ Revision: 450185
- update to new version 1.8.1

* Wed Sep 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 443634
- update to new version 1.7.0

* Tue Sep 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.5-1mdv2010.0
+ Revision: 423700
- update to new version 1.6.5

* Sat Aug 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.4-1mdv2010.0
+ Revision: 416450
- update to new version 1.6.4

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.2s-1mdv2010.0
+ Revision: 402735
- update to new version 1.6.2s
- update to new version 1.6.1

* Fri Jun 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.1-1mdv2010.0
+ Revision: 385596
- Update to new version 1.5.1
- Remove linkage patch: not needed anymore

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2009.1
+ Revision: 355181
- New version 1.5.0

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 1.4.17-2mdv2009.1
+ Revision: 313354
- fix desktop file
- comply to doc policy

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 1.4.17-1mdv2009.1
+ Revision: 313328
- New version 1.4.17

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.22.3-3mdv2009.0
+ Revision: 268300
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 11 2008 Funda Wang <fwang@mandriva.org> 0.22.3-2mdv2009.0
+ Revision: 205582
- fix desktop entry

* Fri Apr 25 2008 Funda Wang <fwang@mandriva.org> 0.22.3-1mdv2009.0
+ Revision: 197412
- BR yelp and po2xml for doc generation.
- New version 0.22.3

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.17.1-1mdv2008.1
+ Revision: 158584
- update to new version 0.17.1

* Wed Jan 09 2008 Funda Wang <fwang@mandriva.org> 0.16.0-1mdv2008.1
+ Revision: 147164
- New version 0.16.0

* Tue Dec 25 2007 Funda Wang <fwang@mandriva.org> 0.13.0-1mdv2008.1
+ Revision: 137713
- add menu item
- Import SOURCES and SPEC
- Created package structure for nted.

